Name: jneural
Version: 1.05
Release: alt1

Summary: Jet's Neural library
License: GPL
Group: Development/Other

URL: http://www.voltar.org/jneural/
Source: %name-%version.tar.bz2

Patch0: %name-1.05-alt-fix-yacc-syntax.patch
Patch1: %name-1.05-alt-void-main.patch

# Automatically added by buildreq on Thu Jul 01 2004
BuildRequires: flex gcc-c++ libstdc++-devel

%package -n lib%name
Summary: Jet's Neural library
Group: System/Libraries

%package -n lib%name-devel
Summary: Jet's Neural library (header files)
Group: Development/Other
Requires: lib%name = %version-%release

%description
Jet's Neural Architecture is a C++ framework for doing neural net
projects. Kohonen, back propogation, and SARSA with back propogation
models are implemented.

%description -n lib%name
Jet's Neural Architecture is a C++ framework for doing neural net
projects. Kohonen, back propogation, and SARSA with back propogation
models are implemented.

%description -n lib%name-devel
Jet's Neural Architecture is a C++ framework for doing neural net
projects. Kohonen, back propogation, and SARSA with back propogation
models are implemented.

%prep
%setup -q -n %name
%patch0
%patch1

%build
# skip makefiles
cd utils
yacc -d -p matrix matrix.y
lex matrix.l
perl -pi -e 's/\byy(lex|lval|error)\b/matrix$1/g' *.c
rm -f test.cpp
cd -

# shared library
g++ -Iinclude -Iutils %optflags %optflags_shared {arch,nets,utils}/*.c* \
	-lfl -shared -Wl,-soname=lib%name.so.%version -o lib%name.so.%version

# sample app
perl -pi -e 's/void main/int main/g' apps/xor.cpp
g++ -Iinclude apps/xor.cpp ./lib%name.so.%version

%install
%__install -pD -m755 {.,%buildroot%_libdir}/lib%name.so.%version
%__ln_s lib%name.so.%version %buildroot%_libdir/lib%name.so

%__install -d %buildroot%_includedir
%__cp -a ./include %buildroot%_includedir/%name

%define pkgdocdir %_docdir/%name-%version
%__install -d %buildroot%pkgdocdir
%__cp -a PROGRESSLOG README docs %buildroot%pkgdocdir/

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib%name.so.%version
%dir %pkgdocdir
%pkgdocdir/README
%pkgdocdir/PROGRESSLOG

%files -n lib%name-devel
%_includedir/%name/
%_libdir/lib%name.so
%dir %pkgdocdir
%pkgdocdir/docs/

%changelog
* Thu Jul 01 2004 Alexey Tourbin <at@altlinux.ru> 1.05-alt1
- initial revision
